# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ unzip
# END SourceDeps(oneline)
Name:           sjasm
Version:        0.39
Release:        alt1_0.13.g1
Summary:        A z80 cross assembler
Group:          Development/Other
License:        BSD
# Upstream no longer appears to exist
URL:            http://www.xl2s.tk
Source0:        %{name}39g1.zip
Patch0:         sjasm-0.39-fixmakefile.patch
Patch1:         sjasm-0.39-64bitfix.patch
Source44: import.info


%description
SjASM is a two pass macro Z80 cross assembler


%prep
%setup -qcn %{name}-%{version}
%patch0 -p0
%patch1 -p0
sed -i 's/\r//' %{name}.txt

# Convert to UTF8
iconv -f iso8859-1 %{name}.txt -t utf8 > %{name}.txt.conv \
    && /bin/mv -f %{name}.txt.conv %{name}.txt


%build
make -C sjasmsrc039g1 %{?_smp_mflags} CXXFLAGS="%{optflags} -DMAX_PATH=MAXPATHLEN"


%install
make -C sjasmsrc039g1 install DESTDIR=%{buildroot}


%files
%{_bindir}/%{name}
%doc %{name}.txt


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.13.g1
- initial fc import

